wxBusyInfoFlags Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxBusyInfoFlags Class Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/busyinfo.h>`

## Detailed Description

Parameters for wxBusyInfo.

This class exists only in order to make passing attributes to wxBusyInfo constructor easier and the code doing it more readable.

All methods of this class return the reference to the object on which they are called, making it possible to chain them together, e.g. typically you would just create a temporary wxBusyInfoFlags object and then call the methods corresponding to the attributes you want to set, before finally passing the result to wxBusyInfo constructor, e.g.:

wxBusyInfo info
(
wxBusyInfoFlags()
.Parent(window)
.Icon(icon)
.Title("Some text")
.Text("Some more text")
.Foreground(wxColour(...))
.Background(wxColour(...))
);
wxBusyInfoFlags::Foreground
wxBusyInfoFlags & Foreground(const wxColour &foreground)
Sets the foreground colour of the title and text strings.
wxBusyInfoFlags::Background
wxBusyInfoFlags & Background(const wxColour &background)
Sets the background colour of wxBusyInfo window.
wxBusyInfoFlags::wxBusyInfoFlags
wxBusyInfoFlags()
Default constructor initializes all attributes to default values.
wxBusyInfoFlags::Text
wxBusyInfoFlags & Text(const wxString &text)
Sets the more detailed text, shown under the title, if any.
wxBusyInfoFlags::Icon
wxBusyInfoFlags & Icon(const wxIcon &icon)
Sets the icon to show in wxBusyInfo.
wxBusyInfoFlags::Title
wxBusyInfoFlags & Title(const wxString &title)
Sets the title, shown prominently in wxBusyInfo window.
wxBusyInfoFlags::Parent
wxBusyInfoFlags & Parent(wxWindow *parent)
Sets the parent for wxBusyInfo.
wxBusyInfo
This class makes it easy to tell your user that the program is temporarily busy.
Definition busyinfo.h:86
wxColour
A colour is an object representing a combination of Red, Green, and Blue (RGB) intensity values and a...
Definition colour.h:69

Since
  3.1.0

## Public Member Functions
| wxBusyInfoFlags ()
| Default constructor initializes all attributes to default values.
wxBusyInfoFlags & | Parent (wxWindow *parent)
| Sets the parent for wxBusyInfo.
wxBusyInfoFlags & | Icon (const wxIcon &icon)
| Sets the icon to show in wxBusyInfo.
wxBusyInfoFlags & | Title (const wxString &title)
| Sets the title, shown prominently in wxBusyInfo window.
wxBusyInfoFlags & | Text (const wxString &text)
| Sets the more detailed text, shown under the title, if any.
wxBusyInfoFlags & | Label (const wxString &label)
| Same as Text() but doesn't interpret the string as containing markup.
wxBusyInfoFlags & | Foreground (const wxColour &foreground)
| Sets the foreground colour of the title and text strings.
wxBusyInfoFlags & | Background (const wxColour &background)
| Sets the background colour of wxBusyInfo window.
wxBusyInfoFlags & | Transparency (wxByte alpha)
| Sets the transparency of wxBusyInfo window.

## Constructor & Destructor Documentation

## ◆ wxBusyInfoFlags()

wxBusyInfoFlags::wxBusyInfoFlags | ( |  | ) |

Default constructor initializes all attributes to default values.

Call the other methods to really fill in the object.

## Member Function Documentation

## ◆ Background()

wxBusyInfoFlags & wxBusyInfoFlags::Background | ( | const wxColour & | background | ) |

Sets the background colour of wxBusyInfo window.

## ◆ Foreground()

wxBusyInfoFlags & wxBusyInfoFlags::Foreground | ( | const wxColour & | foreground | ) |

Sets the foreground colour of the title and text strings.

## ◆ Icon()

wxBusyInfoFlags & wxBusyInfoFlags::Icon | ( | const wxIcon & | icon | ) |

Sets the icon to show in wxBusyInfo.

## ◆ Label()

wxBusyInfoFlags & wxBusyInfoFlags::Label | ( | const wxString & | label | ) |

Same as Text() but doesn't interpret the string as containing markup.

This method should be used if the text shown in wxBusyInfo comes from external source and so may contain characters having special meaning in simple markup, e.g. '<'.

## ◆ Parent()

wxBusyInfoFlags & wxBusyInfoFlags::Parent | ( | wxWindow * | parent | ) |

Sets the parent for wxBusyInfo.

## ◆ Text()

wxBusyInfoFlags & wxBusyInfoFlags::Text | ( | const wxString & | text | ) |

Sets the more detailed text, shown under the title, if any.

The text string may contain markup as described in wxControl::SetLabelMarkup().

## ◆ Title()

wxBusyInfoFlags & wxBusyInfoFlags::Title | ( | const wxString & | title | ) |

Sets the title, shown prominently in wxBusyInfo window.

The title string may contain markup as described in wxControl::SetLabelMarkup().

## ◆ Transparency()

wxBusyInfoFlags & wxBusyInfoFlags::Transparency | ( | wxByte | alpha | ) |

Sets the transparency of wxBusyInfo window.

Parameters

  alpha | Value in wxALPHA_TRANSPARENT (0) to wxALPHA_OPAQUE (255) range.

See also
  wxTopLevelWindow::SetTransparent()